* {
  margin: 0px;
  padding: 0px;
}
body {
  font-family: "Roboto", sans-serif;
}
html {
  scroll-behavior: smooth;
}


/* Cosmic particles */
.particles {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    pointer-events: none;
}

.particle {
    position: absolute;
    background-color: white;
    border-radius: 50%;
    opacity: 0;
    animation: float 15s linear infinite;
}

@keyframes float {
    0% {
        opacity: 0;
        transform: translateY(0) translateX(0);
    }
    10% {
        opacity: 1;
    }
    90% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        transform: translateY(-100vh) translateX(50px);
    }
}

/* animation presention */

@keyframes slideUpFromBottom {
  0% {
    opacity: 0;
    transform: translateY(100px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.animation-1 {
  opacity: 0;
  animation-name: slideUpFromBottom;
  animation-duration: 2s;
  animation-fill-mode: forwards;
  animation-timing-function: ease;
}

/*-----Header-----*/
.c1 {
  padding: 15px;
}
.left-logo h5 {
  font-size: 24px;
  color: black;
  margin: 0;
  font-family: cursive;
}

    @import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@700&display=swap');
.left-logo svg text {
    font-family: 'Dancing Script', sans-serif;
}

.left-logo svg {
  display: block;
}

.left-logo svg text {
  font-weight: normal;
}

/*!----Mobile menu--{----*/
/* Mobile Hamburger Styles */
.hamburger {
  display: none;
  flex-direction: column;
  gap: 5px;
  position: absolute;
  top: 20px;
  right: 20px;
  z-index: 1001;
  cursor: pointer;
}
.hamburger span {
  width: 25px;
  height: 3px;
  background-color: #cdcdcd;
  transition: 0.4s;
}
/* Fullscreen Mobile Navigation Menu */
.mobile-nav {
  position: fixed;
  top: 0;
  right: -100%;
  width: 55%;
  height: 100vh;
  background: #00497e;
  transition: right 0.5s ease-in-out;
  z-index: 1000;
  padding: 40px 20px;
}
.mobile-nav ul {
  border-top: solid 1px grey;
  list-style: none;
  padding: 0;
  padding-top: 15px;
  margin-top: 15px;
  display: flex;
  flex-direction: column;
  gap: 15px;
}
.mobile-nav ul li a {
  display: flex;
  justify-content: start;
  align-items: center;
  text-decoration: none;
  color: #cdcdcd;
  font-size: 18px;
  gap: 5px;
}
.mobile-nav ul li a i{
  font-size: 15px;
}
.mobile-nav ul li a:hover {
  color: black;
}
/* Close (×) Button */
.close-btn {
  color: #cdcdcd;
  font-size: 40px;
  cursor: pointer;
  position: absolute;
  top: 0px;
  left: 20px;
}
/* Show Menu */
.mobile-nav.active {
  right: 0;
}
/* Responsive Behavior */
@media (max-width: 768px) {
  .right-list {
    display: none;
  }
  .hamburger {
    display: flex;
  }
  /* .left-logo h5 {
    font-size: 22px;
    color: #efefef;
  } */
}
/*!--⬆⬆⬆-Mobile menu----}--*/

/* Mobile Styles */
@media (max-width: 768px) {
  header {
    background: linear-gradient(
    to top right,
    rgb(0, 73, 126,0.7) ,
    rgb(0, 73, 126) 90%
  );
  }
}
header {
  box-shadow: 0 4px 6px 0 rgba(0, 0, 0, 0.1);
}
.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.right-list ul li {
  display: inline;
  font-size: 15px;
  font-weight: 500;
}

.right-list ul a {
  text-decoration: none;
  color: #000000;
}
.right-list ul {
  display: flex;
  gap: 50px;
  margin: 0;
}
/* Shine text */
.right-list li {
  position: relative;
  display: inline-block;
  font-size: 2rem;
  color: #222;
  overflow: hidden;
}
.right-list li::before {
  content: "";
  position: absolute;
  top: 0;
  left: -75%;
  width: 40%;
  height: 100%;
  background: linear-gradient(120deg, white 50%);
  transform: skewX(-70deg);
}
.right-list li:hover::before {
  animation: shine 0.4s ease forwards;
}
.right-list ul li a{
  transition: color 0.3s ease;
}
.right-list ul li a:hover{
  transform: color;
  color: #00497e !important;
}
@keyframes shine {
  from {
    left: -75%;
  }
  to {
    left: 125%;
  }
}

/*-------Hero Banner-------*/
@media (max-width: 768px) {
  .hero {
    display: flex;
    flex-direction: column-reverse;
    gap: 10px;
    padding: 0 15px !important;
  }
  .hero-r figure img {
    width: 220px !important;
    height: 220px !important;
  }
  @keyframes float {
    0% {
        opacity: 0;
        transform: translateY(0) translateX(0);
    }
    10% {
        opacity: 1;
    }
    90% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        transform: translateY(-100vh) translateX(50px);
    }
}
.particles {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    pointer-events: none;
}

.particle {
    position: absolute;
    background-color: black;
    border-radius: 50%;
    opacity: 0;
    animation: float linear infinite;
}
  .c2 {
    /* background: linear-gradient(
      to top right,
      rgb(118, 118, 118),
      rgb(0, 73, 126)
    ); */
    background: none !important;
    border-radius: 0px !important;
    margin-top: 0px !important;
    padding-top: 20px;
    padding-bottom: 10px;
    border-top: 2px solid grey;
    border-bottom: 2px solid grey;
    margin-bottom: 30px !important;
  }
  .hero-l p {
    color: black !important;
    font-weight: 500;
  }
  .fixed,
  #typed-text {
    color: black !important;
    font-weight: 500;
  }
  .hero-l p {
    font-size: 24px !important;
  }
  .buttons-2 {
    display: flex;
    flex-direction: column;
    gap: 10px;
  }
  .buttons-2 button {
    width: 100%;
    margin: 0 !important;
  }
  .social-media a i {
    font-size: 32px;
    font-weight: 400;
    color: #00497e;
    transition: transform 0.2s ease-in-out;
  }
  .social-media {
    display: flex;
    justify-content: space-evenly;
  }
  .social-media i:hover {
    color: black !important;
    transform: translateY(-3px);
  }
}
.hero {
  padding: 40px 20px;
}
.c2 {
  background: linear-gradient(
    to top right,
    rgb(118, 118, 118),
    rgb(0, 73, 126)
  );
  border-radius: 30px;
  margin-top: 30px;
  opacity: 0.8;
  margin-bottom: 50px;
}
.hero-r {
  display: flex;
  justify-content: center;
  align-self: start;
  padding: 20px;
}
.hero-l {
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 25px;
}
.hero-l p {
  color: white;
  font-weight: 400;
  font-size: 36px;
  line-height: 1.7;
  margin: 0;
}
.hero-r figure img {
  opacity: 2;
  width: 310px;
  height: 310px;
  border-radius: 50%;
  background: white;
  animation: floatUpDown 3s ease-in-out infinite;
}
.hero-r figure {
  margin: 0;
}

@keyframes floatUpDown {
  0% {
    box-shadow: 0 8px 10px #00497e;
    transform: translateY(0px);
  }
  50% {
    box-shadow: 8px 8px 10px rgb(128, 0, 128, 0.5);
    transform: translateY(-10px);
  }
  100% {
    box-shadow: 0 8px 10px #00497e;
    transform: translateY(0px);
  }
}

.buttons-2 {
  margin-top: 30px;
}
.buttons-2 button {
  outline: none;
  padding: 6px 21px;
  border: solid 1px #00497e;
  background-color: white;
  color: #00497e;
}
.resume {
  margin-left: 24px;
}
.buttons-2 button:hover {
  transition: all 0.4s ease-in-out;
  background: #00497e;
  color: white;
}
.social-media {
  padding-left: 4px;
  display: flex;
  gap: 20px;
}
.social-media a {
  opacity: 3;
  font-size: 2rem;
  color: #00497e;
  opacity: 0;
  transform: translateY(70px);
  animation: slideIn 1s ease forwards;
}
.social-media a:nth-child(1) {
  animation-delay: 0.2s;
}
.social-media a:nth-child(2) {
  animation-delay: 0.4s;
}
.social-media a:nth-child(3) {
  animation-delay: 0.6s;
}
.social-media a:nth-child(4) {
  animation-delay: 0.8s;
}
.social-media a:nth-child(5) {
  animation-delay: 1s;
}

@keyframes slideIn {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.social-media a:hover {
  color: white;
  transform: scale(1.2);
  transition: transform 0.3s, color 0.3s;
}

.typewriter {
  font-size: 36px;
  white-space: nowrap;
  display: inline-block;
  color: white;
}
.cursor {
  display: inline-block;
  animation: blink 0.7s infinite;
  color: white;
}

@keyframes blink {
  0%,
  50%,
  100% {
    opacity: 1;
  }
  25%,
  75% {
    opacity: 0;
  }
}

@media (max-width: 768px) {
  .typewriter {
    font-size: 24px;
  }
  h1 {
    font-size: 24px !important;
  }
  .work-desc {
    padding: 10px 30px;
    font-size: 16px !important;
  }
  .work-desc p {
    margin-bottom: 10px !important;
  }
}

/*----Banner-2---*/
.work h1 {
  font-size: 30px;
  font-weight: bold;
  color: #00497e;
  margin-bottom: 20px;
}
.work1 {
  padding: 10px 0px 10px;
  border-radius: 15px;
  border-top: solid 1px grey;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  transition: transform 0.3s ease-out;
  margin-bottom: 50px;
}
.work1:hover {
  cursor: pointer;
  transform: scale(1.01);
}
.work-role {
  color: #00497e;
  font-weight: bold;
  padding: 10px 16px;
  border-bottom: solid 1px grey;
  /* border-top: solid 1px #ced4da; */
  margin-bottom: 10px;
  font-size: 18px;
}
.work-desc span {
  color: #00497e;
  font-weight: bold;
}
.work-logo {
  text-align: center;
}
.work-logo figure img {
  opacity: 3;
  width: 100px;
  height: 100px;
}

/* Footer */
footer {
  background-color: #00497e;
  padding: 30px 0px;
  border-top: solid 3px grey;
}
.footer-list ul {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
  align-items: center;
}
.footer-list ul li {
  list-style-type: none;
}
.footer-list li a {
  color: #a5a5a5;
  text-decoration: none;
  transition: color 0.3s ease-out;
}
.footer-list li a:hover {
  color: #c5c5c5;
}
footer p {
  color: #a5a5a5;
  font-size: 16px;
  text-align: center;
  font-weight: 400;
  transition: color 0.3s ease-out;
}
.footer p:hover {
  color: white;
  transform: color;
}
@media (max-width: 768px) {
  .footer-list ul {
    gap: 10px !important;
  }
}

.footer-list ul li a {
  position: relative;
  display: inline-block;
  text-decoration: none;
}

.footer-list ul li a::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background: #b1b1b1;
  left: 0;
  bottom: 0;
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.4s ease;
}

.footer-list ul li a:hover::after {
  transform: scaleX(1);
}
